<html>
<h2>Nomad Documentation</h2>
Nomad is for building the asymmetric unit contents from the sequence of the biological unit and a directory containing model files, or direct file input.  It can be used to check the models with respect to the biological unit sequence prior to Picard.<br><br>
<h2> <a id="modes">Modes</a></h2>
<table>
<tr><td><a href="#mode_chk">chk</a>    </td>
<td><b>Initialize</b>
<br>Initialize a script<br>
Input Keywords:   <br>
Result Keywords:  <br>
</td>
<tr><tr><td><a href="#mode_bub">bub</a>    </td>
<td><b>Biological unit builder</b>
<br>Builds combinations of models that fill the biological unit<br>
Input Keywords:   <a href="#biological_unit">biological_unit</a> <a href="#biological_unit_builder">biological_unit_builder</a> <a href="#dag">dag</a> <a href="#graph_report">graph_report</a> <a href="#hklin">hklin</a> <a href="#mode">mode</a> <a href="#overwrite">overwrite</a> <a href="#suite">suite</a> <a href="#threads">threads</a> <a href="#title">title</a> <br>
Result Keywords:  <a href="#dag">dag</a> <a href="#notifications">notifications</a> <a href="#overwrite">overwrite</a> <a href="#search_combination">search_combination</a> <a href="#title">title</a> <br>
</td>
<tr><tr><td><a href="#mode_walk">walk</a>   </td>
<td><b>Walk directory</b>
<br>Finds files in directory<br>
Input Keywords:   <a href="#dag">dag</a> <a href="#file_discovery">file_discovery</a> <a href="#graph_report">graph_report</a> <a href="#mode">mode</a> <a href="#overwrite">overwrite</a> <a href="#suite">suite</a> <a href="#threads">threads</a> <a href="#title">title</a> <br>
Result Keywords:  <a href="#dag">dag</a> <a href="#file_discovery">file_discovery</a> <a href="#notifications">notifications</a> <a href="#overwrite">overwrite</a> <a href="#title">title</a> <br>
</td>
<tr><tr><td><a href="#mode_tree">tree</a>   </td>
<td><b>Tree analysis of directories</b>
<br>Generates pyvis html file and analysis of the dag directory structure<br>
Input Keywords:   <a href="#graph_report">graph_report</a> <a href="#mode">mode</a> <a href="#overwrite">overwrite</a> <a href="#suite">suite</a> <a href="#title">title</a> <br>
Result Keywords:  <a href="#notifications">notifications</a> <a href="#overwrite">overwrite</a> <a href="#title">title</a> <br>
</td>
<tr><tr><td><a href="#mode_esm">esm</a>    </td>
<td><b>Ensemble single model</b>
<br>Calculate data from a model that is not an ensemble structure<br>
Input Keywords:   <a href="#cell_scale">cell_scale</a> <a href="#dag">dag</a> <a href="#data">data</a> <a href="#graph_report">graph_report</a> <a href="#mode">mode</a> <a href="#model">model</a> <a href="#molecular_transform">molecular_transform</a> <a href="#overwrite">overwrite</a> <a href="#pdbout">pdbout</a> <a href="#point_group">point_group</a> <a href="#reflid">reflid</a> <a href="#suite">suite</a> <a href="#threads">threads</a> <a href="#title">title</a> <a href="#trace">trace</a> <br>
Result Keywords:  <a href="#dag">dag</a> <a href="#notifications">notifications</a> <a href="#overwrite">overwrite</a> <a href="#search">search</a> <a href="#title">title</a> <br>
</td>
<tr></table><br>
<a id="reference"><h2>Keyword Colour Reference</h2></a>
<span style="color:DarkBlue"><b>Input Keywords:</b> You need to enter some of these, with which ones dependent on the mode or voyager script and how your data are prepared</span><br>
<span style="color:DarkOrange"><b>Basic Keywords:</b> You can safely change these to modify the results</span><br>
<span style="color:Maroon"><b>Expert Keywords:</b> You should not change these unless you know what you are doing</span><br>
<span style="color:DarkGreen"><b>Logging Keywords:</b> No change to result of a given node, only to logging and what is passed between nodes</span><br>
<span style="color:Grey"><b>Developer Keywords:</b> You can't change these, they are used for control in voyager scripting</span><br>
<span style="color:Silver"><b>Debugging Keywords:</b> Change these to break the software</span><br>
<br>
<h2>Input Keywords:</h2>
<b>You need to enter some of these, with which ones dependent on the mode or voyager script and how your data are prepared</b><br>
<h3><a id="biological_unit_builder">biological_unit_builder</a> </h3><span style="color:DarkBlue"><b>phasertng.biological_unit_builder.build_from_sequence &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspToggle to build biological unit using sequence information. If true, unique search combinations of models that match the biological unit given in the sequence file with the given coverage and sequence identity are determined. If false all models are used as a single entity in the search combination with no further consideration of multiplicity, which is useful in the cases of nucleic acid being present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="file_discovery">file_discovery</a> </h3><span style="color:DarkBlue"><b>phasertng.file_discovery.directory &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDirectory path to discover data, models and sequence files. The pdb models for components of the biological unit may include all biological unit, sub-complexes, components and/or domains. The sequence file should be the sequence of the biological unit. The data should be an mtz file with reflection intensities (or amplitudes).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkBlue"><b>phasertng.file_discovery.filename_in_directory &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIndividual files can be specified within the directory but all files must be in one directory, to ensure uniqueness of basename.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkBlue"><b>phasertng.suite.database &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPath to database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h2>Basic Keywords:</h2>
<b>You can safely change these to modify the results</b><br>
<h3><a id="biological_unit">biological_unit</a> </h3><span style="color:DarkOrange"><b>phasertng.biological_unit.disulphide &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all cysteines as half-disulphides, or, alternatively, enter sequence with % for half-disulphide (replacing C) for sequence-level control.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.hetatm &lt;list of string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAtom type (element) and number (integer) in the asymmetric unit, with zero meaning unknown.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.model.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSingle model coordinate file, pdb format, for calculating biological unit. Alternative to using biological unit defined by sequence.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.model.via_sequence &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspUse the sequence of the model for the composition, not the atomic composition of the model. Incomplete sidehains will be completed before calculation of scattering.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.selenomethionine &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all methionine as selenomethionine, or, alternatively, enter sequence with $ for selenomethionine for sequence-level control.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.sequence.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSequence file with sequences separated by fasta header specifier &gt; and with text after &gt; parsed for strings PROTEIN DNA RNA or NUCLEIC and result used to distinguish cases where there is sequence type ambiguity (all ACGT).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.sequence.multiplicity &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspBiological unit is a multiple of the sequence in the file.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.solvent &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSolvent content to use to determine scattering in the asymmetric unit, assuming protein, when there is no sequence or model entered. The default value is average Matthews value for resolution of the data.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.water_percent &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPercentage by which to inflate the scattering from the sequence before use as the total scattering, because the presence of ordered water increases the scattering over that calculated from just the sequence - values of around 5% are appropriate.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="biological_unit_builder">biological_unit_builder</a> </h3><span style="color:DarkOrange"><b>phasertng.biological_unit_builder.coverage &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum coverage of biological unit by models.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;85&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.identity &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum sequence identity for sequence match.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;90&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.model &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModels from which to build the biological unit, or define as the biological unit.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.overlap &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum overlap of sequences.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="hklin">hklin</a> </h3><span style="color:DarkOrange"><b>phasertng.hklin.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspReflections file with X-ray data (mtz format).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="model">model</a> </h3><span style="color:DarkOrange"><b>phasertng.model.convert_rmsd_to_bfac &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspB-factor column contains rmsd on input so convert coordinate error to B-factor with 8pi^2/3.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPDB coordinates for model. B-factor column may contain estimated coordinate error.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.selenomethionine &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all selenomethionine as methionine if seleomethionine is false.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTag can be used in place of identifier to define model, provided unique. By default, the tag is taken as the stem of the filename. Non-alphanumeric characters in the tag string are substituted with the underscore character.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.vrms_estimate &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspVrms estimate.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1.0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="molecular_transform">molecular_transform</a> </h3><span style="color:DarkOrange"><b>phasertng.molecular_transform.barbwire_test &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTest the model for alphafold barbwire and fail if barbwire detected.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.molecular_transform.helix_test &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTest the model for helix or coiled coil.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="overwrite">overwrite</a> </h3><span style="color:DarkOrange"><b>phasertng.overwrite &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOverwrite the results with new results even if job has been previously run.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="search">search</a> </h3><span style="color:DarkOrange"><b>phasertng.search.id &lt;uuid&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for model.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.search.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTag can be used in place of identifier to define model, provided unique.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkOrange"><b>phasertng.suite.kill_file &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspKill execution if this file is present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_time &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTimeout in minutes for progress loop calculations within selected modes. Default value is suitable for default number of processors. Reduce this if you have more processors, increase if you have fewer. Zero for no termination.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;10&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="threads">threads</a> </h3><span style="color:DarkOrange"><b>phasertng.threads.number &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum number of threads.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;3&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.threads.strictly &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMust use number of threads, rather than allowing system to decide on number of threads.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="title">title</a> </h3><span style="color:DarkOrange"><b>phasertng.title &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTitle.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h2>Expert Keywords:</h2>
<b>You should not change these unless you know what you are doing</b><br>
<h3><a id="biological_unit">biological_unit</a> </h3><span style="color:Maroon"><b>phasertng.biological_unit.deuterium &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat hydrogens as deuteriums.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="cell_scale">cell_scale</a> </h3><span style="color:Maroon"><b>phasertng.cell_scale &lt;float float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum/Maximum scale for cell.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0.9 1.1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.5<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 2<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="dag">dag</a> </h3><span style="color:Maroon"><b>phasertng.dag.consecutive &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for pathway is consecutive rather than by hash.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.dag.maximum_stored &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTruncate the number of nodes on input to a mode to the number given, default is no truncation.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.dag.tncs_present_in_model &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspThe tncs duplications are present in all search models.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="trace">trace</a> </h3><span style="color:Maroon"><b>phasertng.trace.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspCoordinates for trace.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.trace.trim_asa &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTrim surface atoms from model when generating trace. This is not recommended if the sequence identity between model and target is very high.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.trace.volume_sampling &lt;all calpha hexgrid optimal&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSample trace volume using all atoms or a hexagonal grid filling the atomic volume or calpha atoms or use the optimal of all, calpha and hexgrid. Maps will use hexagonal grid.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;optimal&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h2>Logging Keywords:</h2>
<b>No change to result of a given node, only to logging and what is passed between nodes</b><br>
<h3><a id="dag">dag</a> </h3><span style="color:DarkGreen"><b>phasertng.dag.skip_if_complete &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSkip certain modes if constituents in dag are complete.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="graph_report">graph_report</a> </h3><span style="color:DarkGreen"><b>phasertng.graph_report.best_solution &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSelection of best solution from list of solutions.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.graph_report.filestem &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFilestem for additional output files reporting on the graph loops in pathways.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;"graph_report"&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="molecular_transform">molecular_transform</a> </h3><span style="color:DarkGreen"><b>phasertng.molecular_transform.boxscale &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspBoxscale for interpolation fourier transform.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;6&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 2<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.decomposition_radius_factor &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFactor of the radius for decomposition.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;2&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.preparation &lt;off decomposition interpolation trace monostructure variance&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTypes of data structures to prepare for database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;decomposition interpolation trace monostructure variance&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.reorient &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspReorient coordinates along principal axes.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkGreen"><b>phasertng.suite.level &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOutput level to send to output stream.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.loggraphs &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPrint Loggraph output to logfile.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.store &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHighest output level to generate and store.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_cards &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite cards files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_data &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite data files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_density &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite density files for the solution coordinate files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_files &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite miscellaneous files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_log &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite log files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_phil &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite phil files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_xml &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite xml files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><br>
<h2>All Keywords</h2>
<h3><a id="biological_unit">biological_unit</a> </h3><span style="color:DarkOrange"><b>phasertng.biological_unit.sequence.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSequence file with sequences separated by fasta header specifier &gt; and with text after &gt; parsed for strings PROTEIN DNA RNA or NUCLEIC and result used to distinguish cases where there is sequence type ambiguity (all ACGT).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.sequence.multiplicity &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspBiological unit is a multiple of the sequence in the file.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.model.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSingle model coordinate file, pdb format, for calculating biological unit. Alternative to using biological unit defined by sequence.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.model.via_sequence &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspUse the sequence of the model for the composition, not the atomic composition of the model. Incomplete sidehains will be completed before calculation of scattering.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.solvent &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSolvent content to use to determine scattering in the asymmetric unit, assuming protein, when there is no sequence or model entered. The default value is average Matthews value for resolution of the data.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.selenomethionine &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all methionine as selenomethionine, or, alternatively, enter sequence with $ for selenomethionine for sequence-level control.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.disulphide &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all cysteines as half-disulphides, or, alternatively, enter sequence with % for half-disulphide (replacing C) for sequence-level control.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.biological_unit.deuterium &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat hydrogens as deuteriums.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.water_percent &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPercentage by which to inflate the scattering from the sequence before use as the total scattering, because the presence of ordered water increases the scattering over that calculated from just the sequence - values of around 5% are appropriate.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit.hetatm &lt;list of string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAtom type (element) and number (integer) in the asymmetric unit, with zero meaning unknown.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<a href="#reference">colour key</a><br><h3><a id="biological_unit_builder">biological_unit_builder</a> </h3><span style="color:DarkBlue"><b>phasertng.biological_unit_builder.build_from_sequence &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspToggle to build biological unit using sequence information. If true, unique search combinations of models that match the biological unit given in the sequence file with the given coverage and sequence identity are determined. If false all models are used as a single entity in the search combination with no further consideration of multiplicity, which is useful in the cases of nucleic acid being present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.coverage &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum coverage of biological unit by models.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;85&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.identity &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum sequence identity for sequence match.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;90&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.overlap &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum overlap of sequences.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.biological_unit_builder.model &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModels from which to build the biological unit, or define as the biological unit.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<a href="#reference">colour key</a><br><h3><a id="cell_scale">cell_scale</a> </h3><span style="color:Maroon"><b>phasertng.cell_scale &lt;float float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum/Maximum scale for cell.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0.9 1.1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.5<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 2<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="dag">dag</a> </h3><span style="color:Grey"><b>phasertng.dag.cards.subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDirected acyclic graph file subdir.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.dag.cards.filename_in_subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDirected acyclic graph file with subdir prefix.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.dag.phil.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDirected acyclic graph file.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.dag.counters &lt;int int int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspNumber of nodes, parents and grandparents.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0 0 0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.dag.consecutive &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for pathway is consecutive rather than by hash.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.dag.skip_if_complete &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSkip certain modes if constituents in dag are complete.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.dag.tncs_present_in_model &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspThe tncs duplications are present in all search models.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.dag.read_file &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspRead the dag.cards.filename into memory, or keep the dag that is currently in memory.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.dag.maximum_stored &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTruncate the number of nodes on input to a mode to the number given, default is no truncation.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="data">data</a> </h3><span style="color:Grey"><b>phasertng.data.resolution_available &lt;float float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResolution limits for data that are available as input.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.unitcell &lt;unit cell&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspUnit cell of data.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.number_of_reflections &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspnumber of reflections.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.anomalous &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAnomalous data provided.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.intensities &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIntensities provided.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.french_wilson &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAmplitudes were derived from intensities by French-Wilson procedure.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.data.map &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAmplitudes from a map.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="file_discovery">file_discovery</a> </h3><span style="color:DarkBlue"><b>phasertng.file_discovery.directory &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDirectory path to discover data, models and sequence files. The pdb models for components of the biological unit may include all biological unit, sub-complexes, components and/or domains. The sequence file should be the sequence of the biological unit. The data should be an mtz file with reflection intensities (or amplitudes).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkBlue"><b>phasertng.file_discovery.filename_in_directory &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIndividual files can be specified within the directory but all files must be in one directory, to ensure uniqueness of basename.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.file_discovery.validated.mtz_files &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspList of discovered mtz files with best reported in hklin.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.file_discovery.validated.seq_files &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspList of discovered mtz files with best reported in biological_unit.sequence.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.file_discovery.validated.pdb_files &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspList of discovered pdb files with best reported in model.filename.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<a href="#reference">colour key</a><br><h3><a id="graph_report">graph_report</a> </h3><span style="color:DarkGreen"><b>phasertng.graph_report.filestem &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFilestem for additional output files reporting on the graph loops in pathways.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;"graph_report"&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.graph_report.best_solution &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSelection of best solution from list of solutions.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="hklin">hklin</a> </h3><span style="color:DarkOrange"><b>phasertng.hklin.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspReflections file with X-ray data (mtz format).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.hklin.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspBy default the stem of the filename will be used for the identifier tag.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="model">model</a> </h3><span style="color:DarkOrange"><b>phasertng.model.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPDB coordinates for model. B-factor column may contain estimated coordinate error.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTag can be used in place of identifier to define model, provided unique. By default, the tag is taken as the stem of the filename. Non-alphanumeric characters in the tag string are substituted with the underscore character.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.model.single_atom.use &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspModel is a single atom (element) rather than pdb file, for single atom molecular replacement.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.model.single_atom.scatterer &lt;scatterer&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspScattering type for single atom (element) rather than pdb file, for single atom molecular replacement.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.model.single_atom.rmsd &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspVrms estimate for single atom, for single atom molecular replacement.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0.1&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.vrms_estimate &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspVrms estimate.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1.0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.selenomethionine &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTreat all selenomethionine as methionine if seleomethionine is false.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.model.convert_rmsd_to_bfac &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspB-factor column contains rmsd on input so convert coordinate error to B-factor with 8pi^2/3.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="molecular_transform">molecular_transform</a> </h3><span style="color:Silver"><b>phasertng.molecular_transform.bulk_solvent.use &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspApply mask bulk solvent terms.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.bulk_solvent.fsol &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMask bulk solvent correction solvent parameter.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0.35&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.01<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.bulk_solvent.bsol &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMask bulk solvent correction solvent parameter.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;45&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.write_coordinates &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite file containing coordinates for molecular transform.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.boxscale &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspBoxscale for interpolation fourier transform.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;6&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 2<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.resolution &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResolution limit.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.skip_bfactor_analysis &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSkip calculation of relative Wilson-B, and set to zero.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.reorient &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspReorient coordinates along principal axes.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.fix &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFix coordinates without reorienting or translating, for use with muti-gyre.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.molecular_transform.bfactor_trim &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspB-factor column trimming value, which may be an rmsd, zero means no trimming.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.molecular_transform.barbwire_test &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTest the model for alphafold barbwire and fail if barbwire detected.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.molecular_transform.helix_test &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTest the model for helix or coiled coil.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.decomposition_radius_factor &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFactor of the radius for decomposition.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;2&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.molecular_transform.preparation &lt;off decomposition interpolation trace monostructure variance&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTypes of data structures to prepare for database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;decomposition interpolation trace monostructure variance&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="notifications">notifications</a> </h3><span style="color:Grey"><b>phasertng.notifications.hires &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHigh resolution limit for data that are available.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.advisory &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAdvisory message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.notifications.warning &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWarning message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<span style="color:Grey"><b>phasertng.notifications.git_revision &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspgit revision short hash.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.success &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspsuccess (true) or failure (false).<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.type &lt;success parse syntax input fileset fileopen memory killfile killtime fatal result unhandled unknown stdin developer python assert&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError type thrown.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;success&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.message &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError message.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.error.code &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspError code returned to operating system.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.result.subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResult cards subdir.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.notifications.result.filename_in_subdir &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspResult cards without subdir prefix.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="overwrite">overwrite</a> </h3><span style="color:DarkOrange"><b>phasertng.overwrite &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOverwrite the results with new results even if job has been previously run.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="pdbout">pdbout</a> </h3><span style="color:Grey"><b>phasertng.pdbout.filename &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPdb file out.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.pdbout.pdbid &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPdbid request.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.pdbout.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspShort tag identifying coordinates.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.pdbout.id &lt;uuid&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for coordinates.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.pdbout.deposited_title &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspFetched title.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="point_group">point_group</a> </h3><span style="color:Silver"><b>phasertng.point_group.calculate_from_coordinates &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspCalculate point group from coordinates.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.point_group.coverage &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspCoverage for point group analysis.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;90&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.point_group.identity &lt;percent&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentity for point group analysis.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;90&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum = 100<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.point_group.rmsd &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspRms deviation for point group analysis.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;3.0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.point_group.angular_tolerance &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspAngle tolerance for point group analysis.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;0.035&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.001<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.point_group.spatial_tolerance &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSpatial tolerance for point group analysis.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1.0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0.01<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="reflid">reflid</a> </h3><span style="color:Grey"><b>phasertng.reflid.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTag can be used in place of identifier to define reflections, provided unique. By default, the tag is taken as the stem of the filename. Non-alphanumeric characters in the tag string are substituted with the underscore character.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.reflid.id &lt;uuid&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for reflections.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Grey"><b>phasertng.reflid.force_read &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspForce a read of the reflections, as specified by the identifier/tag, to override database reflection identifier/tag.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="search">search</a> </h3><span style="color:DarkOrange"><b>phasertng.search.id &lt;uuid&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspIdentifier for model.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.search.tag &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTag can be used in place of identifier to define model, provided unique.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="search_combination">search_combination</a> </h3><span style="color:Grey"><b>phasertng.search_combination &lt;list of string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPdb file combination for biological unit.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = True<br>
<a href="#reference">colour key</a><br><h3><a id="suite">suite</a> </h3><span style="color:DarkGreen"><b>phasertng.suite.level &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspOutput level to send to output stream.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.store &lt;default silence process concise summary logfile verbose testing&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspHighest output level to generate and store.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;default&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_phil &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite phil files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_cards &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite cards files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_files &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite miscellaneous files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_data &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite data files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_density &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite density files for the solution coordinate files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_log &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite log files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.write_xml &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspWrite xml files.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_file &lt;directory/file&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspKill execution if this file is present.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.suite.kill_time &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTimeout in minutes for progress loop calculations within selected modes. Default value is suitable for default number of processors. Reduce this if you have more processors, increase if you have fewer. Zero for no termination.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;10&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 0<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkGreen"><b>phasertng.suite.loggraphs &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPrint Loggraph output to logfile.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkBlue"><b>phasertng.suite.database &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspPath to database.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="threads">threads</a> </h3><span style="color:DarkOrange"><b>phasertng.threads.number &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum number of threads.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;3&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:DarkOrange"><b>phasertng.threads.strictly &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMust use number of threads, rather than allowing system to decide on number of threads.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;False&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="title">title</a> </h3><span style="color:DarkOrange"><b>phasertng.title &lt;string&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTitle.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br><h3><a id="trace">trace</a> </h3><span style="color:Maroon"><b>phasertng.trace.filename &lt;directory/file/ext&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspCoordinates for trace.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.trace.volume_sampling &lt;all calpha hexgrid optimal&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSample trace volume using all atoms or a hexagonal grid filling the atomic volume or calpha atoms or use the optimal of all, calpha and hexgrid. Maps will use hexagonal grid.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;optimal&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Maroon"><b>phasertng.trace.trim_asa &lt;boolean&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTrim surface atoms from model when generating trace. This is not recommended if the sequence identity between model and target is very high.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;True&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.trace.hexgrid.number_of_points &lt;int int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspTarget number of points in grid filling trace volume, target will optimize to midpoint of range in ncyc cycles subject to ncyc, minimum_distance, and distance.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;900 1100&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.trace.hexgrid.ncyc &lt;int&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMaximum number of cycles for optimizing number of grid points.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;10&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum = 1<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.trace.hexgrid.minimum_distance &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMinimum distance for the sampling of trace grid in Angstroms.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspDefault = &lt;1.0&gt;<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<span style="color:Silver"><b>phasertng.trace.hexgrid.distance &lt;float&gt;</b></span><br>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspSet the distance for the sampling of the hexagonal grid explicitly and do not use number_of_points to find the sampling distance.<br>
&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbspMultiple = False<br>
<a href="#reference">colour key</a><br>
</html>
